%{?nodejs_find_provides_and_requires}

%global packagename fs-promise
%global enable_tests 1

Name:		nodejs-fs-promise
Version:	2.0.3
Release:	2%{?dist}
Summary:	Filesystem methods as promises with fs-extra

License:	MIT
URL:		https://github.com/kevinbeaty/fs-promise
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(fs-extra)
BuildRequires:	npm(mz)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Filesystem methods as promises with fs-extra


%prep
%autosetup -n package
chmod -x README.md

%nodejs_fixdep fs-extra

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 27 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.3-1
- Update to upstream 2.0.3 release

* Tue Apr 18 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.2-2
- Relax dependency on npm(fs-extra)

* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.2-1
- Initial packaging
